export declare type FontFamily = 'regular' | 'light' | 'solid';
/**
 * @deprecated
 */
export declare type Locale = 'en' | 'de' | 'es';
export declare type Size = 'small' | 'medium' | 'large';
export declare type Theme = 'dark' | 'danger' | 'default' | 'info' | 'light' | 'link' | 'primary' | 'success' | 'transparent' | 'warning-light' | 'warning';
export declare type ColorToken = 'cool-gray-dark' | 'cool-gray-light' | 'cool-gray-lighter' | 'neutral-gray' | 'neutral-gray-dark' | 'neutral-gray-darker' | 'neutral-gray-darkest' | 'neutral-gray-light' | 'neutral-gray-lighter' | 'primary-brand-accent' | 'primary-brand-accent-dark' | 'primary-brand-accent-darker' | 'primary-brand-accent-darkest' | 'primary-brand-accent-lightest' | 'support-black' | 'support-blue' | 'support-blue-dark' | 'support-blue-darker' | 'support-brown' | 'support-brown-dark' | 'support-brown-light' | 'support-darkblue' | 'support-darkblue-dark' | 'support-darkblue-darker' | 'support-darkpurple' | 'support-darkpurple-dark' | 'support-darkpurple-darker' | 'support-green' | 'support-green-dark' | 'support-green-darker' | 'support-grey' | 'support-grey-dark' | 'support-grey-darker' | 'support-lightgreen' | 'support-lightgreen-dark' | 'support-lightgreen-darker' | 'support-orange' | 'support-orange-dark' | 'support-orange-darker' | 'support-pastel-blue' | 'support-pastel-brown' | 'support-pastel-darkblue' | 'support-pastel-darkpurple' | 'support-pastel-green' | 'support-pastel-grey' | 'support-pastel-lightgreen' | 'support-pastel-orange' | 'support-pastel-pink' | 'support-pastel-purple' | 'support-pastel-red' | 'support-pastel-yellow' | 'support-pink' | 'support-pink-dark' | 'support-pink-darker' | 'support-purple' | 'support-purple-dark' | 'support-purple-light' | 'support-red' | 'support-red-dark' | 'support-red-darker' | 'support-yellow' | 'support-yellow-dark' | 'support-yellow-darker' | 'ui-danger' | 'ui-danger-dark' | 'ui-danger-darker' | 'ui-danger-darkest' | 'ui-danger-lightest' | 'ui-success' | 'ui-success-dark' | 'ui-success-darker' | 'ui-success-darkest' | 'ui-success-lightest' | 'ui-warning' | 'ui-warning-dark' | 'ui-warning-darker' | 'ui-warning-darkest' | 'ui-warning-lightest' | 'white';
export declare type Direction = 'bottom-left' | 'bottom-right' | 'center' | 'top-left' | 'top-right';
export declare type ComponentMetadata = Record<string, string> & {
    testId?: string;
    actionName?: string;
};
export declare type PropsWithMetadata<P> = P & {
    /** An object consisting of `testId` and `actionName` properties which will be mapped as HTML data attributes onto the root element */
    metadata?: ComponentMetadata;
};
export declare type ParsedMetadata = Record<string, string> & {
    'data-test-id'?: string;
    'data-action-name'?: string;
};
export declare type OutlineVariant = 'default' | 'warning' | 'error';
export declare type ValidationStatus = 'validating' | 'valid' | 'invalid' | 'warning';
